Subject: Re: bug#19585: 23.4; message-mode quietly saves plaintext in draft folder (potentially remote IMAP servers)

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 25 Sep 2019 14:57:11 +0200

Attila Lendvai <[email-masked]> writes:

>> I'm not quite sure I understand.  How does the draft end up in Gmail in
>> the first place?  I didn't think Gnus supported storing the drafts on an
>> IMAP server?
>
> unfortunately i don't remember the details anymore.
>
> i suspect what happened was something like this: i configured
> gmail/IMAP as the "backend" for gnus, and the local draft folder got
> linked to the gmail/IMAP draft folder.

I've had another look at the gnus-draft code, and it hard-codes
"nndraft:drafts" all over the place, and that backend (as far as I can
see) only supports storing drafts locally on disk.

So I don't see how this can happen.  :-)

I'm closing this bug report, but please reopen if anybody experiences
the same.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no